package cn.wise.sc.energy.power.plant.business.utils.poi.styles;

public class POIColor {
    /**
     * 颜色的HEX值,例c71d24
     */
    private String rgbStr;

    private POIColor(String rgbStr) {
        this.rgbStr = rgbStr;
    }

    @Override
    public String toString(){
        return rgbStr;
    }
    /**
     * 浅粉色
     */
    public static final POIColor LIGHTPINK=new POIColor("FFB6C1");
    /**
     * 粉红
     */
    public static final POIColor PINK=new POIColor("FFC0CB");
    /**
     * 猩红
     */
    public static final POIColor CRIMSON=new POIColor("DC143C");
    /**
     * 脸红的淡紫色
     */
    public static final POIColor LAVENDERBLUSH=new POIColor("FFF0F5");
    /**
     * 苍白的紫罗兰红色
     */
    public static final POIColor PALEVIOLETRED=new POIColor("DB7093");
    /**
     * 热情的粉红
     */
    public static final POIColor HOTPINK=new POIColor("FF69B4");
    /**
     * 深粉色
     */
    public static final POIColor DEEPPINK=new POIColor("FF1493");
    /**
     * 适中的紫罗兰红色
     */
    public static final POIColor MEDIUMVIOLETRED=new POIColor("C71585");
    /**
     * 兰花的紫色
     */
    public static final POIColor ORCHID=new POIColor("DA70D6");
    /**
     * 蓟
     */
    public static final POIColor THISTLE=new POIColor("D8BFD8");
    /**
     * 李子
     */
    public static final POIColor PLUM=new POIColor("DDA0DD");
    /**
     * 紫罗兰
     */
    public static final POIColor VIOLET=new POIColor("EE82EE");
    /**
     * 洋红
     */
    public static final POIColor MAGENTA=new POIColor("FF00FF");
    /**
     * 灯笼海棠（紫红色）
     */
    public static final POIColor FUCHSIA=new POIColor("FF00FF");
    /**
     * 深洋红色
     */
    public static final POIColor DARKMAGENTA=new POIColor("8B008B");
    /**
     * 紫色
     */
    public static final POIColor PURPLE=new POIColor("800080");
    /**
     * 适中的兰花紫
     */
    public static final POIColor MEDIUMORCHID=new POIColor("BA55D3");
    /**
     * 深紫罗兰色
     */
    public static final POIColor DARKVOILET=new POIColor("9400D3");
    /**
     * 深兰花紫
     */
    public static final POIColor DARKORCHID=new POIColor("9932CC");
    /**
     * 靛青
     */
    public static final POIColor INDIGO=new POIColor("4B0082");
    /**
     * 深紫罗兰的蓝色
     */
    public static final POIColor BLUEVIOLET=new POIColor("8A2BE2");
    /**
     * 适中的紫色
     */
    public static final POIColor MEDIUMPURPLE=new POIColor("9370DB");
    /**
     * 适中的板岩暗蓝灰色
     */
    public static final POIColor MEDIUMSLATEBLUE=new POIColor("7B68EE");
    /**
     * 板岩暗蓝灰色
     */
    public static final POIColor SLATEBLUE=new POIColor("6A5ACD");
    /**
     * 深岩暗蓝灰色
     */
    public static final POIColor DARKSLATEBLUE=new POIColor("483D8B");
    /**
     * 薰衣草花的淡紫色
     */
    public static final POIColor LAVENDER=new POIColor("E6E6FA");
    /**
     * 幽灵的白色
     */
    public static final POIColor GHOSTWHITE=new POIColor("F8F8FF");
    /**
     * 纯蓝
     */
    public static final POIColor BLUE = new POIColor("1E0FB1");
    /**
     * 适中的蓝色
     */
    public static final POIColor MEDIUMBLUE=new POIColor("0000CD");
    /**
     * 午夜的蓝色
     */
    public static final POIColor MIDNIGHTBLUE=new POIColor("191970");
    /**
     * 深蓝色
     */
    public static final POIColor DARKBLUE=new POIColor("00008B");
    /**
     * 海军蓝
     */
    public static final POIColor NAVY=new POIColor("000080");
    /**
     * 宝蓝
     */
    public static final POIColor ROYALBLUE=new POIColor("4169E1");
    /**
     * 矢车菊的蓝色
     */
    public static final POIColor CORNFLOWERBLUE=new POIColor("6495ED");
    /**
     * 淡钢蓝
     */
    public static final POIColor LIGHTSTEELBLUE=new POIColor("B0C4DE");
    /**
     * 浅石板灰
     */
    public static final POIColor LIGHTSLATEGRAY=new POIColor("778899");
    /**
     * 石板灰
     */
    public static final POIColor SLATEGRAY=new POIColor("708090");
    /**
     * 道奇蓝
     */
    public static final POIColor DODERBLUE=new POIColor("1E90FF");
    /**
     * 爱丽丝蓝
     */
    public static final POIColor ALICEBLUE=new POIColor("F0F8FF");
    /**
     * 钢蓝
     */
    public static final POIColor STEELBLUE=new POIColor("4682B4");
    /**
     * 淡蓝色
     */
    public static final POIColor LIGHTSKYBLUE=new POIColor("87CEFA");
    /**
     * 天蓝色
     */
    public static final POIColor SKYBLUE=new POIColor("87CEEB");
    /**
     * 深天蓝
     */
    public static final POIColor DEEPSKYBLUE=new POIColor("00BFFF");
    /**
     * 淡蓝
     */
    public static final POIColor LIGHTBLUE=new POIColor("ADD8E6");
    /**
     * 火药蓝
     */
    public static final POIColor POWDERBLUE=new POIColor("B0E0E6");
    /**
     * 军校蓝
     */
    public static final POIColor CADETBLUE=new POIColor("5F9EA0");
    /**
     * 蔚蓝色
     */
    public static final POIColor AZURE=new POIColor("F0FFFF");
    /**
     * 淡青色
     */
    public static final POIColor LIGHTCYAN=new POIColor("E1FFFF");
    /**
     * 苍白的绿宝石
     */
    public static final POIColor PALETURQUOISE=new POIColor("AFEEEE");
    /**
     * 青色
     */
    public static final POIColor CYAN=new POIColor("00FFFF");
    /**
     * 水绿色
     */
    public static final POIColor AQUA=new POIColor("00FFFF");
    /**
     * 深绿宝石
     */
    public static final POIColor DARKTURQUOISE=new POIColor("00CED1");
    /**
     * 深石板灰
     */
    public static final POIColor DARKSLATEGRAY=new POIColor("2F4F4F");
    /**
     * 深青色
     */
    public static final POIColor DARKCYAN=new POIColor("008B8B");
    /**
     * 水鸭色
     */
    public static final POIColor TEAL=new POIColor("008080");
    /**
     * 适中的绿宝石
     */
    public static final POIColor MEDIUMTURQUOISE=new POIColor("48D1CC");
    /**
     * 浅海洋绿
     */
    public static final POIColor LIGHTSEAGREEN=new POIColor("20B2AA");
    /**
     * 绿宝石
     */
    public static final POIColor TURQUOISE=new POIColor("40E0D0");
    /**
     * 绿玉
     */
    public static final POIColor BABYGREEN=new POIColor("7FFFAA");
    /**
     * 适中的碧绿色
     */
    public static final POIColor MEDIUMAQUAMARINE=new POIColor("00FA9A");
    /**
     * 适中的春天的绿色
     */
    public static final POIColor MEDIUMSPRINGGREEN=new POIColor("F5FFFA");
    /**
     * 薄荷奶油
     */
    public static final POIColor MINTCREAM=new POIColor("00FF7F");
    /**
     * 春天的绿色
     */
    public static final POIColor SPRINGGREEN=new POIColor("3CB371");
    /**
     * 海洋绿
     */
    public static final POIColor SEAGREEN=new POIColor("2E8B57");
    /**
     * 蜂蜜
     */
    public static final POIColor HONEYDEW=new POIColor("F0FFF0");
    /**
     * 淡绿色
     */
    public static final POIColor LIGHTGREEN=new POIColor("90EE90");
    /**
     * 苍白的绿色
     */
    public static final POIColor PALEGREEN=new POIColor("98FB98");
    /**
     * 深海洋绿
     */
    public static final POIColor DARKSEAGREEN=new POIColor("8FBC8F");
    /**
     * 酸橙绿
     */
    public static final POIColor LIMEGREEN=new POIColor("32CD32");
    /**
     * 酸橙色
     */
    public static final POIColor LIME=new POIColor("00FF00");
    /**
     * 森林绿
     */
    public static final POIColor FORESTGREEN=new POIColor("228B22");
    /**
     * 纯绿
     */
    public static final POIColor GREEN=new POIColor("008000");
    /**
     * 深绿色
     */
    public static final POIColor DARKGREEN=new POIColor("006400");
    /**
     * 查特酒绿
     */
    public static final POIColor CHARTREUSE=new POIColor("7FFF00");
    /**
     * 草坪绿
     */
    public static final POIColor LAWNGREEN=new POIColor("7CFC00");
    /**
     * 绿黄色
     */
    public static final POIColor GREENYELLOW=new POIColor("ADFF2F");
    /**
     * 橄榄土褐色
     */
    public static final POIColor OLIVEDRAB=new POIColor("556B2F");
    /**
     * 米色（浅褐色）
     */
    public static final POIColor BEIGE=new POIColor("6B8E23");
    /**
     * 浅秋麒麟黄
     */
    public static final POIColor LIGHTGOLDENRODYELLOW=new POIColor("FAFAD2");
    /**
     * 象牙色
     */
    public static final POIColor IVORY=new POIColor("FFFFF0");
    /**
     * 浅黄色
     */
    public static final POIColor LIGHTYELLOW=new POIColor("FFFFE0");
    /**
     * 纯黄
     */
    public static final POIColor YELLOW=new POIColor("FFFF00");
    /**
     * 橄榄
     */
    public static final POIColor OLIVE=new POIColor("808000");
    /**
     * 深卡其布
     */
    public static final POIColor DARKKHAKI=new POIColor("BDB76B");
    /**
     * 柠檬薄纱
     */
    public static final POIColor LEMONCHIFFON=new POIColor("FFFACD");
    /**
     * 灰秋麒麟
     */
    public static final POIColor PALEGODENROD=new POIColor("EEE8AA");
    /**
     * 卡其布
     */
    public static final POIColor KHAKI=new POIColor("F0E68C");
    /**
     * 金
     */
    public static final POIColor GOLD=new POIColor("FFD700");
    /**
     * 玉米色
     */
    public static final POIColor CORNISLK=new POIColor("FFF8DC");
    /**
     * 秋麒麟
     */
    public static final POIColor GOLDENROD=new POIColor("DAA520");
    /**
     * 花的白色
     */
    public static final POIColor FLORALWHITE=new POIColor("FFFAF0");
    /**
     * 老饰带
     */
    public static final POIColor OLDLACE=new POIColor("FDF5E6");
    /**
     * 小麦色
     */
    public static final POIColor WHEAT=new POIColor("F5DEB3");
    /**
     * 鹿皮鞋
     */
    public static final POIColor MOCCASIN=new POIColor("FFE4B5");
    /**
     * 橙色
     */
    public static final POIColor ORANGE=new POIColor("FFA500");
    /**
     * 番木瓜
     */
    public static final POIColor PAPAYAWHIP=new POIColor("FFEFD5");
    /**
     * 漂白的杏仁
     */
    public static final POIColor BLANCHEDALMOND=new POIColor("FFEBCD");
    /**
     * Navajo白
     */
    public static final POIColor NAVAJOWHITE=new POIColor("FFDEAD");
    /**
     * 古代的白色
     */
    public static final POIColor ANTIQUEWHITE=new POIColor("FAEBD7");
    /**
     * 晒黑
     */
    public static final POIColor TAN=new POIColor("D2B48C");
    /**
     * 结实的树
     */
    public static final POIColor BRULYWOOD=new POIColor("DEB887");
    /**
     * （浓汤）乳脂，番茄等
     */
    public static final POIColor BISQUE=new POIColor("FFE4C4");
    /**
     * 深橙色
     */
    public static final POIColor DARKORANGE=new POIColor("FF8C00");
    /**
     * 亚麻布
     */
    public static final POIColor LINEN=new POIColor("FAF0E6");
    /**
     * 秘鲁
     */
    public static final POIColor PERU=new POIColor("CD853F");
    /**
     * 桃色
     */
    public static final POIColor PEACHPUFF=new POIColor("FFDAB9");
    /**
     * 沙棕色
     */
    public static final POIColor SANDYBROWN=new POIColor("F4A460");
    /**
     * 巧克力
     */
    public static final POIColor CHOCOLATE=new POIColor("D2691E");
    /**
     * 马鞍棕色
     */
    public static final POIColor SADDLEBROWN=new POIColor("8B4513");
    /**
     * 海贝壳
     */
    public static final POIColor SEASHELL=new POIColor("FFF5EE");
    /**
     * 黄土赭色
     */
    public static final POIColor SIENNA=new POIColor("A0522D");
    /**
     * 浅鲜肉（鲑鱼）色
     */
    public static final POIColor LIGHTSALMON=new POIColor("FFA07A");
    /**
     * 珊瑚
     */
    public static final POIColor CORAL=new POIColor("FF7F50");
    /**
     * 橙红色
     */
    public static final POIColor ORANGERED=new POIColor("FF4500");
    /**
     * 深鲜肉（鲑鱼）色
     */
    public static final POIColor DARKSALMON=new POIColor("E9967A");
    /**
     * 番茄
     */
    public static final POIColor TOMATO=new POIColor("FF6347");
    /**
     * 薄雾玫瑰
     */
    public static final POIColor MISTYROSE=new POIColor("FFE4E1");
    /**
     * 鲜肉（鲑鱼）色
     */
    public static final POIColor SALMON=new POIColor("FA8072");
    /**
     * 雪
     */
    public static final POIColor SNOW=new POIColor("FFFAFA");
    /**
     * 淡珊瑚色
     */
    public static final POIColor LIGHTCORAL=new POIColor("F08080");
    /**
     * 玫瑰棕色
     */
    public static final POIColor ROSYBROWN=new POIColor("BC8F8F");
    /**
     * 印度红
     */
    public static final POIColor INDIANRED=new POIColor("CD5C5C");
    /**
     * 纯红
     */
    public static final POIColor RED=new POIColor("FF0000");
    /**
     * 棕色
     */
    public static final POIColor BROWN=new POIColor("A52A2A");
    /**
     * 耐火砖
     */
    public static final POIColor FIREBRICK=new POIColor("B22222");
    /**
     * 深红色
     */
    public static final POIColor DARKRED=new POIColor("8B0000");
    /**
     * 栗色
     */
    public static final POIColor MAROON=new POIColor("800000");
    /**
     * 纯白
     */
    public static final POIColor WHITE=new POIColor("FFFFFF");
    /**
     * 白烟
     */
    public static final POIColor WHITESMOKE=new POIColor("F5F5F5");
    /**
     * Gainsboro
     */
    public static final POIColor GAINSBORO=new POIColor("DCDCDC");
    /**
     * 浅灰色
     */
    public static final POIColor LIGHTGRAY=new POIColor("D3D3D3");
    /**
     * 银白色
     */
    public static final POIColor SILVER=new POIColor("C0C0C0");
    /**
     * 深灰色
     */
    public static final POIColor DARKGRAY=new POIColor("A9A9A9");
    /**
     * 灰色
     */
    public static final POIColor GRAY=new POIColor("808080");
    /**
     * 暗淡的灰色
     */
    public static final POIColor DIMGRAY=new POIColor("696969");
    /**
     * 纯黑
     */
    public static final POIColor BLACK=new POIColor("000000");
}
